% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/generics.R, R/GurobiOpts.R, R/ManualOpts.R,
%   R/RapData.R, R/RapReliableOpts.R, R/RapResults.R, R/RapUnreliableOpts.R,
%   R/RapUnsolved.R, R/RapSolved.R
\name{show}
\alias{show}
\alias{show,GurobiOpts-method}
\alias{show,ManualOpts-method}
\alias{show,RapData-method}
\alias{show,RapReliableOpts-method}
\alias{show,RapResults-method}
\alias{show,RapUnreliableOpts-method}
\alias{show,RapUnsolved-method}
\alias{show,RapSolved-method}
\title{Show objects}
\usage{
\S4method{show}{GurobiOpts}(object)

\S4method{show}{ManualOpts}(object)

\S4method{show}{RapData}(object)

\S4method{show}{RapReliableOpts}(object)

\S4method{show}{RapResults}(object)

\S4method{show}{RapUnreliableOpts}(object)

\S4method{show}{RapUnsolved}(object)

\S4method{show}{RapSolved}(object)
}
\arguments{
\item{object}{\code{\link[=GurobiOpts]{GurobiOpts()}}, \code{\link[=RapUnreliableOpts]{RapUnreliableOpts()}},
\code{\link[=RapReliableOpts]{RapReliableOpts()}}, \code{\link[=RapData]{RapData()}},
\code{\link[=RapUnsolved]{RapUnsolved()}}, \code{\link[=RapResults]{RapResults()}}, or
\code{\link[=RapSolved]{RapSolved()}} object.}
}
\description{
Shows objects.
}
\examples{
\dontrun{
# load data
data(sim_ru, sim_rs)

# show GurobiOpts object
GurobiOpts()

# show RapReliableOpts object
RapReliableOpts()

# show RapUnreliableOpts object
RapUnreliableOpts()

# show RapData object
sim_ru@data

# show RapUnsolved object
sim_ru

# show RapResults object
sim_rs@results

# show RapSolved object
sim_rs
}
}
\seealso{
\code{\link[=GurobiOpts]{GurobiOpts()}}, \code{\link[=RapUnreliableOpts]{RapUnreliableOpts()}},
\code{\link[=RapReliableOpts]{RapReliableOpts()}}, \code{\link[=RapData]{RapData()}},
\code{\link[=RapUnsolved]{RapUnsolved()}}, \code{\link[=RapResults]{RapResults()}},
\code{\link[=RapSolved]{RapSolved()}}.
}
